'''This file is created to be an Interface between Python and Latex.
   Goals are: Creating Latexfigures out of Plots '''
from pylatex import Document,Section,Subsection,Tabular,Math, TikZ, Axis, Plot, Figure, Matrix, Alignat
import numpy as np
import os

class PythonLatex:

    def __init__(self, geometrie_options, file_path, data=[]):
        self.geometrie_options = geometrie_options
        self.file_path = file_path
        self.data = data
        self.doc = Document(geometry_options= self.geometrie_options)

    def get_table(self):
        pass

    def get_equation(self):
        pass

    def get_matrix(self):
        pass


class LatexPlots(PythonLatex):

    def __init__(self, plot_options, image_file_path=''):
        super().__init__(geometrie_options=geometrie_options)
        self.plot_options = plot_options
        if image_file_path:
            self.image_filename = os.path.join(os.path.dirname(__file__), image_file_path)
        else:
            self.image_filename = ''


if __name__ == '__main__':
    geometrie_options = {'tmargin': '1cm', 'lmargin': '10cm'}
    PythonLatex(geometrie_options=geometrie_options)
